Holger's Java API

## com.antelmann.net.mail
Enum MessageEntryMapper.Topic

    java.lang.Object
      java.lang.Enum<MessageEntryMapper.Topic>
          com.antelmann.net.mail.MessageEntryMapper.Topic

All Implemented Interfaces:
  Serializable, Comparable<MessageEntryMapper.Topic>

Enclosing class:
  MessageEntryMapper<M extends MessageEntry>

    public static enum MessageEntryMapper.Topic

extends Enum<MessageEntryMapper.Topic>

out of these topics, only `CONTENT` is really required; all others are optional (for effective search capabilities)

Enum Constant Summary
`ATTACHMENT_COUNT`
`BCC`
`CC`
`CONTENT` required
`CONTENT_TYPE`
`FOLDER`
`FROM`
`HASH`
`RECIPIENTS`
`SENT`
`SIZE`
`SUBJECT`
`TO`

Method Summary
`static MessageEntryMapper.Topic` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageEntryMapper.Topic[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTENT

    public static final MessageEntryMapper.Topic CONTENT

  required

### SENT

    public static final MessageEntryMapper.Topic SENT

### SUBJECT

    public static final MessageEntryMapper.Topic SUBJECT

### FROM

    public static final MessageEntryMapper.Topic FROM

### SIZE

    public static final MessageEntryMapper.Topic SIZE

### ATTACHMENT_COUNT

    public static final MessageEntryMapper.Topic ATTACHMENT_COUNT

### TO

    public static final MessageEntryMapper.Topic TO

### CC

    public static final MessageEntryMapper.Topic CC

### BCC

    public static final MessageEntryMapper.Topic BCC

### RECIPIENTS

    public static final MessageEntryMapper.Topic RECIPIENTS

### CONTENT_TYPE

    public static final MessageEntryMapper.Topic CONTENT_TYPE

### FOLDER

    public static final MessageEntryMapper.Topic FOLDER

### HASH

    public static final MessageEntryMapper.Topic HASH

Method Detail

### values

    public static MessageEntryMapper.Topic[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MessageEntryMapper.Topic c : MessageEntryMapper.Topic.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MessageEntryMapper.Topic valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads